
///////////////////////////////
// Cration Grille de donnes
///////////////////////////////

var monGridPanel =    Ext.create('Ext.grid.Panel', {
        store: Ext.create('Ext.data.ArrayStore', {           // 1 : cl store (fields + data)
            fields: [
                {name: 'book'},
                {name: 'author'}
            ],
            data: [['Mastering Java','James Gosling']]
        }),
        columns: [ {										// 2 : cl columns 
            text     : 'Book',		// En tte colonne
            flex     : 1,           // taille de cette colonne relative (= taille grid - taille fixe du champ Author)
            sortable : false,		// pas de tri possible pour cette colonne
            dataIndex: 'book'       // faire coincider dataIndex avec noms des 'fields' du store
        },{
            text     : 'Author',
            width    : 100,			// taille fixe	
            sortable : true,
            dataIndex: 'author'
        }],
        width: 300,
        title: 'Simple Grid'
		//,
        //renderTo: 'grid-example'     // placer la grille dans zone precise du HTML 
    });

///////////////////////////////
// Application
///////////////////////////////

function demolayout() {
        var viewport = new Ext.Viewport({
            layout: "border",
            defaults: {
                bodyStyle: 'padding:5px;',
            },
            items: [{
                region: "north",
                html: 'Nord',
                margins: '5 5 5 5'
            },{
                region: 'west',
                split: true,
                collapsible: true,
                collapseMode: 'mini',
                title: 'Objis : nous allons vous faire aimer extJS',
                width: 280,
                minSize: 200,
                html: 'Ouest',
                margins: '0 0 0 5'
            },{
                region: 'center',
                 xtype: 'tabpanel',
			 activeTab: 2,
				 items: [{
						title: 'Films',
						html: 'Liste films'
						},{
						title: 'Series',
						html: 'Liste series'
						},{
						title: 'Livres',
						items:[monGridPanel]   // La grille de donnes est insre dans un des onglets du TabPanel
						}],
                margins: '0 0 0 0'
            },{
                region: 'east',
                split: true,
                width: 200,
                html: 'Est',
                margins: '0 5 0 0'
            },{
                region: 'south',
                html: 'Sud',
                margins: '5 5 5 5'
            }]
        });
     }
Ext.onReady(demolayout);                               
